Bug 962451 - Review Request: hibernate-jpa-2.1-api - Java Persistence 2.1 (JSR 338) API
Review Request: hibernate-jpa-2.1-api - Java Persistence 2.1 (JSR 338) API
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 962839
  Show dependency treegraph
 
Reported: 2013-05-13 10:15 EDT by gil cattaneo
Modified: 2013-05-25 23:39 EDT (History)
3 users (show)

See Also:
Fixed In Version: hibernate-jpa-2.1-api-1.0.0-0.1.Draft.16.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-25 08:12:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tcallawa: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2013-05-13 10:15:46 EDT
Spec URL: http://gil.fedorapeople.org/hibernate-jpa-2.1-api.spec
SRPM URL: http://gil.fedorapeople.org/hibernate-jpa-2.1-api-1.0.0-0.1.Draft.16.fc18.src.rpm
Description: Hibernate definition of the Java Persistence 2.1 (JSR 338) API.
Fedora Account System Username: gil
Comment 1 gil cattaneo 2013-05-13 10:56:33 EDT
Required by hibernate-validator 5.0.1.Final
Comment 2 Tom "spot" Callaway 2013-05-16 10:40:34 EDT
= Review =

Good:

- rpmlint checks return:

hibernate-jpa-2.1-api.src: W: invalid-url URL: http://www.hibernate.org/ HTTP Error 403: Forbidden
hibernate-jpa-2.1-api.noarch: W: invalid-url URL: http://www.hibernate.org/ HTTP Error 403: Forbidden
hibernate-jpa-2.1-api-javadoc.noarch: W: invalid-url URL: http://www.hibernate.org/ HTTP Error 403: Forbidden

All safe to ignore. Weird, but fine. :)

- package meets naming guidelines
- package meets packaging guidelines
- license (EPL and BSD) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream (675e7365e4c014369aeb62a284644c7fcb9a166e634c7466a05200f71fab1d99)
- package compiles on f19 (noarch)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- macro use consistent
- code, not content
- -javadocs ok
- nothing in %doc affects runtime
- no need for .desktop file

APPROVED.
Comment 3 gil cattaneo 2013-05-16 10:46:02 EDT
Thanks for the review

New Package SCM Request
=======================
Package Name: hibernate-jpa-2.1-api
Short Description: Java Persistence 2.1 (JSR 338) API
Owners: gil
Branches: f18 f19
InitialCC: java-sig
Comment 4 Gwyn Ciesla 2013-05-16 11:32:07 EDT
Git done (by process-git-requests).
Comment 5 Fedora Update System 2013-05-16 13:24:52 EDT
hibernate-jpa-2.1-api-1.0.0-0.1.Draft.16.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/hibernate-jpa-2.1-api-1.0.0-0.1.Draft.16.fc19
Comment 6 Fedora Update System 2013-05-16 13:42:03 EDT
hibernate-jpa-2.1-api-1.0.0-0.1.Draft.16.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/hibernate-jpa-2.1-api-1.0.0-0.1.Draft.16.fc18
Comment 7 Fedora Update System 2013-05-16 23:29:35 EDT
hibernate-jpa-2.1-api-1.0.0-0.1.Draft.16.fc18 has been pushed to the Fedora 18 testing repository.
Comment 8 Fedora Update System 2013-05-25 08:12:19 EDT
hibernate-jpa-2.1-api-1.0.0-0.1.Draft.16.fc18 has been pushed to the Fedora 18 stable repository.
Comment 9 Fedora Update System 2013-05-25 23:39:49 EDT
hibernate-jpa-2.1-api-1.0.0-0.1.Draft.16.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.